<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:19 CEST 2019 -->
<title>Index</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:K">K</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:Q">Q</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/game/Game.html#addMove-app.game.Move-">addMove(Move)</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Adds players move to the game moves, sets all valid moves for opponent player and checks for
 checkmate.</div>
</dd>
<dt><a href="app/board/package-summary.html">app.board</a> - package app.board</dt>
<dd>&nbsp;</dd>
<dt><a href="app/errors/package-summary.html">app.errors</a> - package app.errors</dt>
<dd>&nbsp;</dd>
<dt><a href="app/game/package-summary.html">app.game</a> - package app.game</dt>
<dd>&nbsp;</dd>
<dt><a href="app/notation/package-summary.html">app.notation</a> - package app.notation</dt>
<dd>&nbsp;</dd>
<dt><a href="app/pieces/package-summary.html">app.pieces</a> - package app.pieces</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="app/pieces/Bishop.html" title="class in app.pieces"><span class="typeNameLink">Bishop</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents bishop as a piece in a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#BLACK">BLACK</a></span> - Static variable in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Boolean representation of the black color.</div>
</dd>
<dt><a href="app/board/Board.html" title="class in app.board"><span class="typeNameLink">Board</span></a> - Class in <a href="app/board/package-summary.html">app.board</a></dt>
<dd>
<div class="block">Represents a chess board.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Board.html#Board-java.util.ArrayList-java.util.ArrayList-">Board(ArrayList&lt;Piece&gt;, ArrayList&lt;Piece&gt;)</a></span> - Constructor for class app.board.<a href="app/board/Board.html" title="class in app.board">Board</a></dt>
<dd>
<div class="block">Creates new board and sets an initial state.</div>
</dd>
<dt><a href="gui/board/BoardComponent.html" title="class in gui.board"><span class="typeNameLink">BoardComponent</span></a> - Class in <a href="gui/board/package-summary.html">gui.board</a></dt>
<dd>
<div class="block">Visually represents a chess board.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#BoardComponent-app.board.Board-">BoardComponent(Board)</a></span> - Constructor for class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Creates visual representation of a chess board by data from backend board.</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="gui/game/CheckMateAlert.html" title="class in gui.game"><span class="typeNameLink">CheckMateAlert</span></a> - Class in <a href="gui/game/package-summary.html">gui.game</a></dt>
<dd>
<div class="block">Represents a pop-up dialog after checkmate.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Board.html#COLS_COUNT">COLS_COUNT</a></span> - Static variable in class app.board.<a href="app/board/Board.html" title="class in app.board">Board</a></dt>
<dd>
<div class="block">Number of chess board columns.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/layout/TabsComponent.html#createGame--">createGame()</a></span> - Method in class gui.layout.<a href="gui/layout/TabsComponent.html" title="class in gui.layout">TabsComponent</a></dt>
<dd>
<div class="block">Creates new game in the new tab.</div>
</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="app/board/Field.html" title="class in app.board"><span class="typeNameLink">Field</span></a> - Class in <a href="app/board/package-summary.html">app.board</a></dt>
<dd>
<div class="block">Represents a field on chess board.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#Field-int-int-boolean-">Field(int, int, boolean)</a></span> - Constructor for class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Creates new field with specified position, color and prepare its neighbourhood array.</div>
</dd>
<dt><a href="app/board/Field.Direction.html" title="enum in app.board"><span class="typeNameLink">Field.Direction</span></a> - Enum in <a href="app/board/package-summary.html">app.board</a></dt>
<dd>
<div class="block">Defines Moore neighbourhood directions.</div>
</dd>
<dt><a href="gui/board/FieldComponent.html" title="class in gui.board"><span class="typeNameLink">FieldComponent</span></a> - Class in <a href="gui/board/package-summary.html">gui.board</a></dt>
<dd>
<div class="block">Visually represents a board field.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/FieldComponent.html#FieldComponent-app.board.Field-">FieldComponent(Field)</a></span> - Constructor for class gui.board.<a href="gui/board/FieldComponent.html" title="class in gui.board">FieldComponent</a></dt>
<dd>
<div class="block">Creates visual representation of a board field by data from backend field and sets its events.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Board.html#findFieldsByPiece-char-boolean-int-char-">findFieldsByPiece(char, boolean, int, char)</a></span> - Method in class app.board.<a href="app/board/Board.html" title="class in app.board">Board</a></dt>
<dd>
<div class="block">Returns board fields specified by chess pieces.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Bishop.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Bishop.html" title="class in app.pieces">Bishop</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/King.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/King.html" title="class in app.pieces">King</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Knight.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Knight.html" title="class in app.pieces">Knight</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Pawn.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Pawn.html" title="class in app.pieces">Pawn</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Returns fields that the piece can legally move to without checking the threat to the king.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Queen.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Queen.html" title="class in app.pieces">Queen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Rook.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Rook.html" title="class in app.pieces">Rook</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="app/game/Game.html" title="class in app.game"><span class="typeNameLink">Game</span></a> - Class in <a href="app/game/package-summary.html">app.game</a></dt>
<dd>
<div class="block">Represents chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#Game--">Game()</a></span> - Constructor for class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Creates a new game with initialized board and pieces.</div>
</dd>
<dt><a href="gui/game/GameComponent.html" title="class in gui.game"><span class="typeNameLink">GameComponent</span></a> - Class in <a href="gui/game/package-summary.html">gui.game</a></dt>
<dd>
<div class="block">Visually represents a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#GameComponent-app.game.Game-javafx.stage.Stage-gui.layout.TabsComponent-">GameComponent(Game, Stage, TabsComponent)</a></span> - Constructor for class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Creates visual representation of a chess game by data from backend game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#getBoard--">getBoard()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Returns the chess board.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/FieldComponent.html#getBoardComponent--">getBoardComponent()</a></span> - Method in class gui.board.<a href="gui/board/FieldComponent.html" title="class in gui.board">FieldComponent</a></dt>
<dd>
<div class="block">Returns visual representation of a board with relation to the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#getBoardComponent--">getBoardComponent()</a></span> - Method in class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Returns visual representation of a chess board relative to the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#getCapturedPiece--">getCapturedPiece()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Returns the piece that moved piece captured.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#getColor--">getColor()</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Returns color of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#getColor--">getColor()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Returns color of the piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#getColumnLetter--">getColumnLetter()</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Returns column of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#getCurrentMoveIndex--">getCurrentMoveIndex()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Returns the index of the current move in the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#getDisplayedMoves--">getDisplayedMoves()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Returns all moves that are displayed in notation panel.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Board.html#getField-int-char-">getField(int, char)</a></span> - Method in class app.board.<a href="app/board/Board.html" title="class in app.board">Board</a></dt>
<dd>
<div class="block">Returns board field specified by row number and column character.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Board.html#getField-int-int-">getField(int, int)</a></span> - Method in class app.board.<a href="app/board/Board.html" title="class in app.board">Board</a></dt>
<dd>
<div class="block">Returns board field specified by row number and column number.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/FieldComponent.html#getField--">getField()</a></span> - Method in class gui.board.<a href="gui/board/FieldComponent.html" title="class in gui.board">FieldComponent</a></dt>
<dd>
<div class="block">Returns backend field.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#getFieldComponentForField-app.board.Field-">getFieldComponentForField(Field)</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Returns visual representation of a board field specified by backend field.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#getGame--">getGame()</a></span> - Method in class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Returns a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#getGameComponent--">getGameComponent()</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Returns visual representation of a chess game with relation to the board.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/ToolbarComponent.html#getGameComponent--">getGameComponent()</a></span> - Method in class gui.game.<a href="gui/game/ToolbarComponent.html" title="class in gui.game">ToolbarComponent</a></dt>
<dd>
<div class="block">Returns visual representation of the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#getIcon--">getIcon()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Returns name of the icon file.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/ToolbarComponent.html#getMoveControlsComponent--">getMoveControlsComponent()</a></span> - Method in class gui.game.<a href="gui/game/ToolbarComponent.html" title="class in gui.game">ToolbarComponent</a></dt>
<dd>
<div class="block">Returns buttons that can control moves.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#getMovedPiece--">getMovedPiece()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Returns the piece that was moved.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#getMoveFromField--">getMoveFromField()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Returns the field that piece moved from.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/ToolbarComponent.html#getMoveListView--">getMoveListView()</a></span> - Method in class gui.game.<a href="gui/game/ToolbarComponent.html" title="class in gui.game">ToolbarComponent</a></dt>
<dd>
<div class="block">Returns list view of the current game moves.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#getMoves--">getMoves()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Returns all game moves.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#getMoveToField--">getMoveToField()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Returns the field that piece moved to.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#getPiece--">getPiece()</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Returns piece from the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/pieces/PieceComponent.html#getPiece--">getPiece()</a></span> - Method in class gui.pieces.<a href="gui/pieces/PieceComponent.html" title="class in gui.pieces">PieceComponent</a></dt>
<dd>
<div class="block">Returns chess piece data.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#getPosition--">getPosition()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Returns position of the piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#getPromotedPiece--">getPromotedPiece()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Returns the piece that has been created in promotion.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#getRow--">getRow()</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Returns row of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/promotion/PromotionComponent.html#getSelectedLetter--">getSelectedLetter()</a></span> - Method in class gui.promotion.<a href="gui/promotion/PromotionComponent.html" title="class in gui.promotion">PromotionComponent</a></dt>
<dd>
<div class="block">Returns the type of selected promotion piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveControlsComponent.html#getTimeSliderValue--">getTimeSliderValue()</a></span> - Method in class gui.move.<a href="gui/move/MoveControlsComponent.html" title="class in gui.move">MoveControlsComponent</a></dt>
<dd>
<div class="block">Returns value of the slider.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#getToolbarComponent--">getToolbarComponent()</a></span> - Method in class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Returns visual representation of a toolbar relative to the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#getType--">getType()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Returns type of the piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#getValidMoveFields--">getValidMoveFields()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Returns fields that the piece can legally move to.</div>
</dd>
<dt><a href="gui/package-summary.html">gui</a> - package gui</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/board/package-summary.html">gui.board</a> - package gui.board</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/game/package-summary.html">gui.game</a> - package gui.game</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/layout/package-summary.html">gui.layout</a> - package gui.layout</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/move/package-summary.html">gui.move</a> - package gui.move</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/notation/package-summary.html">gui.notation</a> - package gui.notation</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/pieces/package-summary.html">gui.pieces</a> - package gui.pieces</dt>
<dd>&nbsp;</dd>
<dt><a href="gui/promotion/package-summary.html">gui.promotion</a> - package gui.promotion</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="app/errors/InvalidNotationFormat.html" title="class in app.errors"><span class="typeNameLink">InvalidNotationFormat</span></a> - Exception in <a href="app/errors/package-summary.html">app.errors</a></dt>
<dd>
<div class="block">Indicates wrong format of chess notation.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/errors/InvalidNotationFormat.html#InvalidNotationFormat-java.lang.String-int-">InvalidNotationFormat(String, int)</a></span> - Constructor for exception app.errors.<a href="app/errors/InvalidNotationFormat.html" title="class in app.errors">InvalidNotationFormat</a></dt>
<dd>
<div class="block">Thrown to indicate that input file has incorrect chess notation format.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#isCheckMate--">isCheckMate()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Checks if the current move is checkmate.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#isFromNotation--">isFromNotation()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Checks if the move was loaded from file notation.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#isPlayingModeRunning--">isPlayingModeRunning()</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Checks, whether is the automatic playback of the moves running.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#isPromotion-app.pieces.Piece-app.board.Field-">isPromotion(Piece, Field)</a></span> - Static method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Checks whether the moved piece is pawn and ready to promotion.</div>
</dd>
</dl>
<a name="I:K">
<!--   -->
</a>
<h2 class="title">K</h2>
<dl>
<dt><a href="app/pieces/King.html" title="class in app.pieces"><span class="typeNameLink">King</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents king as a piece in a chess game.</div>
</dd>
<dt><a href="app/pieces/Knight.html" title="class in app.pieces"><span class="typeNameLink">Knight</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents knight as a piece in a chess game.</div>
</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="gui/Main.html" title="class in gui"><span class="typeNameLink">Main</span></a> - Class in <a href="gui/package-summary.html">gui</a></dt>
<dd>
<div class="block">Main GUI class.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/Main.html#Main--">Main()</a></span> - Constructor for class gui.<a href="gui/Main.html" title="class in gui">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="gui/Main.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class gui.<a href="gui/Main.html" title="class in gui">Main</a></dt>
<dd>
<div class="block">Runs the standalone application.</div>
</dd>
<dt><a href="gui/game/MenuComponent.html" title="class in gui.game"><span class="typeNameLink">MenuComponent</span></a> - Class in <a href="gui/game/package-summary.html">gui.game</a></dt>
<dd>
<div class="block">Visually represents a menu buttons.</div>
</dd>
<dt><a href="app/game/Move.html" title="class in app.game"><span class="typeNameLink">Move</span></a> - Class in <a href="app/game/package-summary.html">app.game</a></dt>
<dd>
<div class="block">Represents a single move in chess.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#Move-app.pieces.Piece-app.board.Field-char-">Move(Piece, Field, char)</a></span> - Constructor for class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Creates a chess move.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#Move-java.util.ArrayList-app.board.Field-boolean-char-boolean-boolean-">Move(ArrayList&lt;Field&gt;, Field, boolean, char, boolean, boolean)</a></span> - Constructor for class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Creates a chess move from notation.</div>
</dd>
<dt><a href="gui/move/MoveControlsComponent.html" title="class in gui.move"><span class="typeNameLink">MoveControlsComponent</span></a> - Class in <a href="gui/move/package-summary.html">gui.move</a></dt>
<dd>
<div class="block">Represents move controls in the toolbar.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveControlsComponent.html#MoveControlsComponent--">MoveControlsComponent()</a></span> - Constructor for class gui.move.<a href="gui/move/MoveControlsComponent.html" title="class in gui.move">MoveControlsComponent</a></dt>
<dd>
<div class="block">Creates new move control buttons and sets their events.</div>
</dd>
<dt><a href="gui/move/MoveListView.html" title="class in gui.move"><span class="typeNameLink">MoveListView</span></a> - Class in <a href="gui/move/package-summary.html">gui.move</a></dt>
<dd>
<div class="block">Represents list view of the game moves.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveListView.html#MoveListView-gui.board.BoardComponent-">MoveListView(BoardComponent)</a></span> - Constructor for class gui.move.<a href="gui/move/MoveListView.html" title="class in gui.move">MoveListView</a></dt>
<dd>
<div class="block">Creates new list view by data from board component.</div>
</dd>
<dt><a href="gui/move/MoveListViewCell.html" title="class in gui.move"><span class="typeNameLink">MoveListViewCell</span></a> - Class in <a href="gui/move/package-summary.html">gui.move</a></dt>
<dd>
<div class="block">Represents a cell in the list view of the game moves.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveListViewCell.html#MoveListViewCell--">MoveListViewCell()</a></span> - Constructor for class gui.move.<a href="gui/move/MoveListViewCell.html" title="class in gui.move">MoveListViewCell</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Pawn.html#moveTo-app.board.Field-">moveTo(Field)</a></span> - Method in class app.pieces.<a href="app/pieces/Pawn.html" title="class in app.pieces">Pawn</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#moveTo-app.board.Field-">moveTo(Field)</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Moves piece to the specified board field.</div>
</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#newFromLetter-char-boolean-">newFromLetter(char, boolean)</a></span> - Static method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Creates new piece by its type specified by letter.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#nextField-app.board.Field.Direction-">nextField(Field.Direction)</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Returns neighbour field in specified direction.</div>
</dd>
<dt><a href="app/notation/NotationFileParser.html" title="class in app.notation"><span class="typeNameLink">NotationFileParser</span></a> - Class in <a href="app/notation/package-summary.html">app.notation</a></dt>
<dd>
<div class="block">Performs parsing notation from file.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/notation/NotationFileParser.html#NotationFileParser-app.game.Game-">NotationFileParser(Game)</a></span> - Constructor for class app.notation.<a href="app/notation/NotationFileParser.html" title="class in app.notation">NotationFileParser</a></dt>
<dd>
<div class="block">Creates and initializes new notation file parser.</div>
</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/notation/NotationFileParser.html#parseNotation-java.io.File-">parseNotation(File)</a></span> - Method in class app.notation.<a href="app/notation/NotationFileParser.html" title="class in app.notation">NotationFileParser</a></dt>
<dd>
<div class="block">Parses notation from file, while creating moves and adding them to the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#pausePlayingMode--">pausePlayingMode()</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Pauses the automatic playback of the moves.</div>
</dd>
<dt><a href="app/pieces/Pawn.html" title="class in app.pieces"><span class="typeNameLink">Pawn</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents pawn as a piece in a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#performMove-app.game.Move-">performMove(Move)</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Performs visual representation of a move, specified by backend move.</div>
</dd>
<dt><a href="app/pieces/Piece.html" title="class in app.pieces"><span class="typeNameLink">Piece</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents a piece in a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#Piece-boolean-">Piece(boolean)</a></span> - Constructor for class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Creates a new piece with specified color.</div>
</dd>
<dt><a href="gui/pieces/PieceComponent.html" title="class in gui.pieces"><span class="typeNameLink">PieceComponent</span></a> - Class in <a href="gui/pieces/package-summary.html">gui.pieces</a></dt>
<dd>
<div class="block">Visually represents a chess piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/pieces/PieceComponent.html#PieceComponent-app.pieces.Piece-">PieceComponent(Piece)</a></span> - Constructor for class gui.pieces.<a href="gui/pieces/PieceComponent.html" title="class in gui.pieces">PieceComponent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="gui/promotion/PromotionComponent.html" title="class in gui.promotion"><span class="typeNameLink">PromotionComponent</span></a> - Class in <a href="gui/promotion/package-summary.html">gui.promotion</a></dt>
<dd>
<div class="block">Represents the content of the promotion dialog box.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/promotion/PromotionComponent.html#PromotionComponent-boolean-">PromotionComponent(boolean)</a></span> - Constructor for class gui.promotion.<a href="gui/promotion/PromotionComponent.html" title="class in gui.promotion">PromotionComponent</a></dt>
<dd>
<div class="block">Creates every piece of type that a piece can be promoted to.</div>
</dd>
</dl>
<a name="I:Q">
<!--   -->
</a>
<h2 class="title">Q</h2>
<dl>
<dt><a href="app/pieces/Queen.html" title="class in app.pieces"><span class="typeNameLink">Queen</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents queen as a piece in a chess game.</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/game/Game.html#redoDisplayedMove--">redoDisplayedMove()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Adds next move from moves array to the notation panel.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#redoMove--">redoMove()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Performs the next move to the move specified by the current move index, increases the current
 move index.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/pieces/PieceComponent.html#refresh--">refresh()</a></span> - Method in class gui.pieces.<a href="gui/pieces/PieceComponent.html" title="class in gui.pieces">PieceComponent</a></dt>
<dd>
<div class="block">Reloads image of the piece component.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveControlsComponent.html#refreshButtons--">refreshButtons()</a></span> - Method in class gui.move.<a href="gui/move/MoveControlsComponent.html" title="class in gui.move">MoveControlsComponent</a></dt>
<dd>
<div class="block">Disables and enables control buttons according to playing mode.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveControlsComponent.html#refreshPlayModeButton--">refreshPlayModeButton()</a></span> - Method in class gui.move.<a href="gui/move/MoveControlsComponent.html" title="class in gui.move">MoveControlsComponent</a></dt>
<dd>
<div class="block">Changes play button to pause button and vice versa.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/ToolbarComponent.html#reloadTurn-boolean-">reloadTurn(boolean)</a></span> - Method in class gui.game.<a href="gui/game/ToolbarComponent.html" title="class in gui.game">ToolbarComponent</a></dt>
<dd>
<div class="block">Reloads label according to who is on move.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#removeFurtherMoves--">removeFurtherMoves()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Removes all moves performed after the move specified by current move index.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/layout/TabsComponent.html#removeGameTab-gui.game.GameComponent-">removeGameTab(GameComponent)</a></span> - Method in class gui.layout.<a href="gui/layout/TabsComponent.html" title="class in gui.layout">TabsComponent</a></dt>
<dd>
<div class="block">Removes the game tab with specified game component.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#revertMove-app.game.Move-">revertMove(Move)</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Visually reverts move specified by backend move.</div>
</dd>
<dt><a href="app/pieces/Rook.html" title="class in app.pieces"><span class="typeNameLink">Rook</span></a> - Class in <a href="app/pieces/package-summary.html">app.pieces</a></dt>
<dd>
<div class="block">Represents rook as a piece in a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Board.html#ROWS_COUNT">ROWS_COUNT</a></span> - Static variable in class app.board.<a href="app/board/Board.html" title="class in app.board">Board</a></dt>
<dd>
<div class="block">Number of chess board rows.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#runPlayingMode--">runPlayingMode()</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Automatically plays the game moves with set step time, starting with the move specified by
 current move index in backend</div>
</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/notation/NotationFileParser.html#saveNotation-java.io.File-">saveNotation(File)</a></span> - Method in class app.notation.<a href="app/notation/NotationFileParser.html" title="class in app.notation">NotationFileParser</a></dt>
<dd>
<div class="block">Saves existing game moves in notation format to the specified file.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Pawn.html#setAtStartPosition-boolean-">setAtStartPosition(boolean)</a></span> - Method in class app.pieces.<a href="app/pieces/Pawn.html" title="class in app.pieces">Pawn</a></dt>
<dd>
<div class="block">Sets parameter, if the pawn is on its start position.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/BoardComponent.html#setCurrentlyMovedPieceComponent-gui.pieces.PieceComponent-">setCurrentlyMovedPieceComponent(PieceComponent)</a></span> - Method in class gui.board.<a href="gui/board/BoardComponent.html" title="class in gui.board">BoardComponent</a></dt>
<dd>
<div class="block">Sets visual representation of a chess piece that has currently moved.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#setGame-app.game.Game-">setGame(Game)</a></span> - Method in class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Sets a chess game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#setPiece-app.pieces.Piece-">setPiece(Piece)</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Sets piece to the field and field to the piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/pieces/PieceComponent.html#setPiece-app.pieces.Piece-">setPiece(Piece)</a></span> - Method in class gui.pieces.<a href="gui/pieces/PieceComponent.html" title="class in gui.pieces">PieceComponent</a></dt>
<dd>
<div class="block">Sets specified chess piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#setPosition-app.board.Field-">setPosition(Field)</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Sets the piece position.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/board/FieldComponent.html#setPossibleMoveTargetBackground--">setPossibleMoveTargetBackground()</a></span> - Method in class gui.board.<a href="gui/board/FieldComponent.html" title="class in gui.board">FieldComponent</a></dt>
<dd>
<div class="block">Visually differentiate possible move targets.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#setValidMoveFields-java.util.ArrayList-">setValidMoveFields(ArrayList&lt;Field&gt;)</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Sets fields that the piece can legally move to.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#showCheckMateAlert--">showCheckMateAlert()</a></span> - Method in class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Displays dialog box after checkmate.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/game/GameComponent.html#showPromotionComponent--">showPromotionComponent()</a></span> - Method in class gui.game.<a href="gui/game/GameComponent.html" title="class in gui.game">GameComponent</a></dt>
<dd>
<div class="block">Displays dialog box, where player can choose the type of promoted piece.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/notation/WrongNotationFileAlert.html#showWindow--">showWindow()</a></span> - Method in class gui.notation.<a href="gui/notation/WrongNotationFileAlert.html" title="class in gui.notation">WrongNotationFileAlert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="gui/Main.html#start-javafx.stage.Stage-">start(Stage)</a></span> - Method in class gui.<a href="gui/Main.html" title="class in gui">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="gui/Main.html#stop--">stop()</a></span> - Method in class gui.<a href="gui/Main.html" title="class in gui">Main</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="gui/layout/TabsComponent.html" title="class in gui.layout"><span class="typeNameLink">TabsComponent</span></a> - Class in <a href="gui/layout/package-summary.html">gui.layout</a></dt>
<dd>
<div class="block">Represents tabs in the application window.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/layout/TabsComponent.html#TabsComponent--">TabsComponent()</a></span> - Constructor for class gui.layout.<a href="gui/layout/TabsComponent.html" title="class in gui.layout">TabsComponent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="gui/game/ToolbarComponent.html" title="class in gui.game"><span class="typeNameLink">ToolbarComponent</span></a> - Class in <a href="gui/game/package-summary.html">gui.game</a></dt>
<dd>
<div class="block">Represents a toolbar on the side of the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.html#toString--">toString()</a></span> - Method in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Changes string representation of the field so it can be printed onto GUI board.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Move.html#toString--">toString()</a></span> - Method in class app.game.<a href="app/game/Move.html" title="class in app.game">Move</a></dt>
<dd>
<div class="block">Overrides method in order to print move in correct notation format.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#toString--">toString()</a></span> - Method in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="gui/board/FieldComponent.html#toString--">toString()</a></span> - Method in class gui.board.<a href="gui/board/FieldComponent.html" title="class in gui.board">FieldComponent</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="gui/pieces/PieceComponent.html#toString--">toString()</a></span> - Method in class gui.pieces.<a href="gui/pieces/PieceComponent.html" title="class in gui.pieces">PieceComponent</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/game/Game.html#undoDisplayedMove--">undoDisplayedMove()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Removes last move from the notation panel.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#undoMove--">undoMove()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Performs undo of move specified by current move index, decreases current move index.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/move/MoveListViewCell.html#updateItem-app.game.Move-boolean-">updateItem(Move, boolean)</a></span> - Method in class gui.move.<a href="gui/move/MoveListViewCell.html" title="class in gui.move">MoveListViewCell</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/board/Field.Direction.html#valueOf-java.lang.String-">valueOf(String)</a></span> - Static method in enum app.board.<a href="app/board/Field.Direction.html" title="enum in app.board">Field.Direction</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/board/Field.Direction.html#values--">values()</a></span> - Static method in enum app.board.<a href="app/board/Field.Direction.html" title="enum in app.board">Field.Direction</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
</dl>
<a name="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><span class="memberNameLink"><a href="app/board/Field.html#WHITE">WHITE</a></span> - Static variable in class app.board.<a href="app/board/Field.html" title="class in app.board">Field</a></dt>
<dd>
<div class="block">Boolean value representing the white field.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/pieces/Piece.html#WHITE">WHITE</a></span> - Static variable in class app.pieces.<a href="app/pieces/Piece.html" title="class in app.pieces">Piece</a></dt>
<dd>
<div class="block">Boolean representation of the white color.</div>
</dd>
<dt><span class="memberNameLink"><a href="app/game/Game.html#whiteIsOnTurn--">whiteIsOnTurn()</a></span> - Method in class app.game.<a href="app/game/Game.html" title="class in app.game">Game</a></dt>
<dd>
<div class="block">Checks, whether the white player is on turn.</div>
</dd>
<dt><a href="gui/layout/WindowComponent.html" title="class in gui.layout"><span class="typeNameLink">WindowComponent</span></a> - Class in <a href="gui/layout/package-summary.html">gui.layout</a></dt>
<dd>
<div class="block">Represents application window.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/layout/WindowComponent.html#WindowComponent-javafx.stage.Stage-">WindowComponent(Stage)</a></span> - Constructor for class gui.layout.<a href="gui/layout/WindowComponent.html" title="class in gui.layout">WindowComponent</a></dt>
<dd>
<div class="block">Creates new application window with specified stage.</div>
</dd>
<dt><a href="gui/notation/WrongNotationFileAlert.html" title="class in gui.notation"><span class="typeNameLink">WrongNotationFileAlert</span></a> - Class in <a href="gui/notation/package-summary.html">gui.notation</a></dt>
<dd>
<div class="block">Represents dialog box that is shown after error in notation parsing from a file.</div>
</dd>
<dt><span class="memberNameLink"><a href="gui/notation/WrongNotationFileAlert.html#WrongNotationFileAlert-gui.game.GameComponent-">WrongNotationFileAlert(GameComponent)</a></span> - Constructor for class gui.notation.<a href="gui/notation/WrongNotationFileAlert.html" title="class in gui.notation">WrongNotationFileAlert</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:K">K</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:Q">Q</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
